This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1301144 - Review Request: horai-ume-fonts - Free Japanese Gothic/Mincho Fonts
Review Request: horai-ume-fonts - Free Japanese Gothic/Mincho Fonts
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Zbigniew Jędrzejewski-Szmek
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-22 12:39 EST by Karel Volný
Modified: 2016-05-13 02:26 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-05-07 07:51:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
zbyszek: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Karel Volný 2016-01-22 12:39:36 EST
Spec URL: https://kvolny.fedorapeople.org/horai-ume-fonts.spec
SRPM URL: https://kvolny.fedorapeople.org/horai-ume-fonts-580-1.fc23.src.rpm
Description:

This package contains fonts published by Wataru Horai. It contains Gothic and
Mincho styles in 18 variants total:

 * Ume Gothic Original, O5, C4, C5, S4, S5
 * Ume P Gothic Original, O5, C4, C5, S4, S5
 * Ume UI Gothic Original, O5
 * Ume Mincho Original, S3
 * Ume P Mincho Original, S3

In addition to Latin, Greek and Cyrilics scripts it provides Hiragana, Katakana
and CJK. These fonts are suitable for easy on-screen legibility.

Fedora Account System Username: kvolny

Koji scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=12650419

Additional information:
The license shor name is not accurate, please see the discussion here:
https://lists.fedoraproject.org/archives/list/legal@lists.fedoraproject.org/thread/VEPUXYCFJG6XSLPJHDBDH5NUXSWAEH2I/
Comment 1 Mamoru TASAKA 2016-01-23 02:15:39 EST
Use "mplus" for license tag.

https://fedoraproject.org/wiki/Licensing:Mplus?rd=Licensing/mplus

The upstream says the license is the same as mplus:
https://osdn.jp/projects/ume-font/lists/archive/info/2009-May/000214.html
Comment 2 Karel Volný 2016-01-25 07:28:57 EST
(In reply to Mamoru TASAKA from comment #1)
> Use "mplus" for license tag.
> 
> https://fedoraproject.org/wiki/Licensing:Mplus?rd=Licensing/mplus

thankyou, somehow I have overlooked this when examining the good licenses list

@reviewer: as the review hadn't started yet, I've simply replaced content at spec&srpm url without release increase and changelog entry, just the license field fixed
Comment 3 Zbigniew Jędrzejewski-Szmek 2016-04-05 09:56:34 EDT
There's no need to create horai-ume-fonts-common package just to contain the license.
You can instead add the license file to every package and add
%global _docdir_fmt %{name}
and the license file will be co-owned by all subpackages.

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated

===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
[x]: License file installed when any subpackage combination is installed.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: %config files are marked noreplace or the reason is justified.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: No %config files under /usr.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 0 bytes in 0 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[!]: Sources can be downloaded from URI in Source: tag
     Note: Could not download Source0: https://osdn.jp/projects/ume-
     font/downloads/22212/umefont_580.tar.xz
     See: http://fedoraproject.org/wiki/Packaging:Guidelines#Tags
Download URL gives 404. Maybe because there's a new version?

[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[!]: Latest version is packaged.
I see 610 upstream.

[x]: Package does not include license text files separate from upstream.
[-]: Scriptlets must be sane, if used.
[x]: SourceX tarball generation or download is documented.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.

fonts:
[x]: Run repo-font-audit on all fonts in package.
[x]: Run ttname on all fonts in package.


Rpmlint
-------
Checking: horai-ume-fonts-common-580-1.fc25.noarch.rpm
          horai-ume-pgothic-fonts-580-1.fc25.noarch.rpm
          horai-ume-pmincho-fonts-580-1.fc25.noarch.rpm
          horai-ume-gothic-fonts-580-1.fc25.noarch.rpm
          horai-ume-mincho-fonts-580-1.fc25.noarch.rpm
          horai-ume-uigothic-fonts-580-1.fc25.noarch.rpm
          horai-ume-fonts-580-1.fc25.src.rpm
horai-ume-fonts-common.noarch: W: no-documentation
horai-ume-pgothic-fonts.noarch: W: no-documentation
horai-ume-pmincho-fonts.noarch: W: no-documentation
horai-ume-gothic-fonts.noarch: W: no-documentation
horai-ume-mincho-fonts.noarch: W: no-documentation
horai-ume-uigothic-fonts.noarch: W: no-documentation
horai-ume-fonts.src: W: invalid-url Source0: https://osdn.jp/projects/ume-font/downloads/22212/umefont_580.tar.xz HTTP Error 404: Not Found
7 packages and 0 specfiles checked; 0 errors, 7 warnings.




Rpmlint (installed packages)
----------------------------
horai-ume-mincho-fonts.noarch: W: no-documentation
horai-ume-uigothic-fonts.noarch: W: no-documentation
horai-ume-pmincho-fonts.noarch: W: no-documentation
horai-ume-gothic-fonts.noarch: W: no-documentation
horai-ume-pgothic-fonts.noarch: W: no-documentation
horai-ume-fonts-common.noarch: W: no-documentation
6 packages and 0 specfiles checked; 0 errors, 6 warnings.



Requires
--------
horai-ume-mincho-fonts (rpmlib, GLIBC filtered):
    config(horai-ume-mincho-fonts)
    horai-ume-fonts-common

horai-ume-uigothic-fonts (rpmlib, GLIBC filtered):
    config(horai-ume-uigothic-fonts)
    horai-ume-fonts-common

horai-ume-pmincho-fonts (rpmlib, GLIBC filtered):
    config(horai-ume-pmincho-fonts)
    horai-ume-fonts-common

horai-ume-gothic-fonts (rpmlib, GLIBC filtered):
    config(horai-ume-gothic-fonts)
    horai-ume-fonts-common

horai-ume-pgothic-fonts (rpmlib, GLIBC filtered):
    config(horai-ume-pgothic-fonts)
    horai-ume-fonts-common

horai-ume-fonts-common (rpmlib, GLIBC filtered):
    fontpackages-filesystem



Provides
--------
horai-ume-mincho-fonts:
    config(horai-ume-mincho-fonts)
    font(:lang=aa)
    font(:lang=ab)
    font(:lang=af)
    font(:lang=an)
    font(:lang=av)
    font(:lang=ay)
    font(:lang=ba)
    font(:lang=be)
    font(:lang=bg)
    font(:lang=bi)
    font(:lang=br)
    font(:lang=bs)
    font(:lang=bua)
    font(:lang=ca)
    font(:lang=ce)
    font(:lang=ch)
    font(:lang=chm)
    font(:lang=co)
    font(:lang=crh)
    font(:lang=cs)
    font(:lang=csb)
    font(:lang=cv)
    font(:lang=cy)
    font(:lang=da)
    font(:lang=de)
    font(:lang=el)
    font(:lang=en)
    font(:lang=eo)
    font(:lang=es)
    font(:lang=et)
    font(:lang=eu)
    font(:lang=fi)
    font(:lang=fil)
    font(:lang=fj)
    font(:lang=fo)
    font(:lang=fr)
    font(:lang=fur)
    font(:lang=fy)
    font(:lang=gd)
    font(:lang=gl)
    font(:lang=gv)
    font(:lang=ho)
    font(:lang=hr)
    font(:lang=hsb)
    font(:lang=ht)
    font(:lang=hu)
    font(:lang=ia)
    font(:lang=id)
    font(:lang=ie)
    font(:lang=ik)
    font(:lang=io)
    font(:lang=is)
    font(:lang=it)
    font(:lang=ja)
    font(:lang=jv)
    font(:lang=kaa)
    font(:lang=ki)
    font(:lang=kj)
    font(:lang=kk)
    font(:lang=kl)
    font(:lang=ku-tr)
    font(:lang=kum)
    font(:lang=kv)
    font(:lang=kwm)
    font(:lang=ky)
    font(:lang=la)
    font(:lang=lb)
    font(:lang=lez)
    font(:lang=lg)
    font(:lang=li)
    font(:lang=lt)
    font(:lang=lv)
    font(:lang=mg)
    font(:lang=mh)
    font(:lang=mn-mn)
    font(:lang=ms)
    font(:lang=mt)
    font(:lang=na)
    font(:lang=nb)
    font(:lang=nds)
    font(:lang=ng)
    font(:lang=nl)
    font(:lang=nn)
    font(:lang=no)
    font(:lang=nr)
    font(:lang=nso)
    font(:lang=ny)
    font(:lang=oc)
    font(:lang=om)
    font(:lang=os)
    font(:lang=pap-an)
    font(:lang=pap-aw)
    font(:lang=pl)
    font(:lang=pt)
    font(:lang=rm)
    font(:lang=rn)
    font(:lang=ru)
    font(:lang=rw)
    font(:lang=sah)
    font(:lang=sc)
    font(:lang=se)
    font(:lang=sel)
    font(:lang=sg)
    font(:lang=sh)
    font(:lang=sk)
    font(:lang=sl)
    font(:lang=sma)
    font(:lang=smj)
    font(:lang=smn)
    font(:lang=sn)
    font(:lang=so)
    font(:lang=sq)
    font(:lang=sr)
    font(:lang=ss)
    font(:lang=st)
    font(:lang=su)
    font(:lang=sv)
    font(:lang=sw)
    font(:lang=tg)
    font(:lang=tk)
    font(:lang=tl)
    font(:lang=tn)
    font(:lang=tr)
    font(:lang=ts)
    font(:lang=tt)
    font(:lang=tyv)
    font(:lang=uk)
    font(:lang=uz)
    font(:lang=vo)
    font(:lang=vot)
    font(:lang=wa)
    font(:lang=wen)
    font(:lang=wo)
    font(:lang=xh)
    font(:lang=yap)
    font(:lang=za)
    font(:lang=zu)
    font(umemincho)
    font(umeminchos3)
    font(梅明朝)
    font(梅明朝s3)
    horai-ume-mincho-fonts

horai-ume-uigothic-fonts:
    config(horai-ume-uigothic-fonts)
    font(:lang=aa)
    font(:lang=ab)
    font(:lang=af)
    font(:lang=an)
    font(:lang=av)
    font(:lang=ay)
    font(:lang=ba)
    font(:lang=be)
    font(:lang=bg)
    font(:lang=bi)
    font(:lang=br)
    font(:lang=bs)
    font(:lang=bua)
    font(:lang=ca)
    font(:lang=ce)
    font(:lang=ch)
    font(:lang=chm)
    font(:lang=co)
    font(:lang=crh)
    font(:lang=cs)
    font(:lang=csb)
    font(:lang=cv)
    font(:lang=cy)
    font(:lang=da)
    font(:lang=de)
    font(:lang=el)
    font(:lang=en)
    font(:lang=eo)
    font(:lang=es)
    font(:lang=et)
    font(:lang=eu)
    font(:lang=fi)
    font(:lang=fil)
    font(:lang=fj)
    font(:lang=fo)
    font(:lang=fr)
    font(:lang=fur)
    font(:lang=fy)
    font(:lang=gd)
    font(:lang=gl)
    font(:lang=gv)
    font(:lang=ho)
    font(:lang=hr)
    font(:lang=hsb)
    font(:lang=ht)
    font(:lang=hu)
    font(:lang=ia)
    font(:lang=id)
    font(:lang=ie)
    font(:lang=ik)
    font(:lang=io)
    font(:lang=is)
    font(:lang=it)
    font(:lang=ja)
    font(:lang=jv)
    font(:lang=kaa)
    font(:lang=ki)
    font(:lang=kj)
    font(:lang=kk)
    font(:lang=kl)
    font(:lang=ku-tr)
    font(:lang=kum)
    font(:lang=kv)
    font(:lang=kwm)
    font(:lang=ky)
    font(:lang=la)
    font(:lang=lb)
    font(:lang=lez)
    font(:lang=lg)
    font(:lang=li)
    font(:lang=lt)
    font(:lang=lv)
    font(:lang=mg)
    font(:lang=mh)
    font(:lang=mn-mn)
    font(:lang=ms)
    font(:lang=mt)
    font(:lang=na)
    font(:lang=nb)
    font(:lang=nds)
    font(:lang=ng)
    font(:lang=nl)
    font(:lang=nn)
    font(:lang=no)
    font(:lang=nr)
    font(:lang=nso)
    font(:lang=ny)
    font(:lang=oc)
    font(:lang=om)
    font(:lang=os)
    font(:lang=pap-an)
    font(:lang=pap-aw)
    font(:lang=pl)
    font(:lang=pt)
    font(:lang=rm)
    font(:lang=rn)
    font(:lang=ru)
    font(:lang=rw)
    font(:lang=sah)
    font(:lang=sc)
    font(:lang=se)
    font(:lang=sel)
    font(:lang=sg)
    font(:lang=sh)
    font(:lang=sk)
    font(:lang=sl)
    font(:lang=sma)
    font(:lang=smj)
    font(:lang=smn)
    font(:lang=sn)
    font(:lang=so)
    font(:lang=sq)
    font(:lang=sr)
    font(:lang=ss)
    font(:lang=st)
    font(:lang=su)
    font(:lang=sv)
    font(:lang=sw)
    font(:lang=tg)
    font(:lang=tk)
    font(:lang=tl)
    font(:lang=tn)
    font(:lang=tr)
    font(:lang=ts)
    font(:lang=tt)
    font(:lang=tyv)
    font(:lang=uk)
    font(:lang=uz)
    font(:lang=vo)
    font(:lang=vot)
    font(:lang=wa)
    font(:lang=wen)
    font(:lang=wo)
    font(:lang=xh)
    font(:lang=yap)
    font(:lang=za)
    font(:lang=zu)
    font(umeuigothic)
    font(umeuigothico5)
    font(梅uiゴシック)
    font(梅uiゴシックo5)
    horai-ume-uigothic-fonts

horai-ume-pmincho-fonts:
    config(horai-ume-pmincho-fonts)
    font(:lang=aa)
    font(:lang=ab)
    font(:lang=af)
    font(:lang=an)
    font(:lang=av)
    font(:lang=ay)
    font(:lang=ba)
    font(:lang=be)
    font(:lang=bg)
    font(:lang=bi)
    font(:lang=br)
    font(:lang=bs)
    font(:lang=bua)
    font(:lang=ca)
    font(:lang=ce)
    font(:lang=ch)
    font(:lang=chm)
    font(:lang=co)
    font(:lang=crh)
    font(:lang=cs)
    font(:lang=csb)
    font(:lang=cv)
    font(:lang=cy)
    font(:lang=da)
    font(:lang=de)
    font(:lang=el)
    font(:lang=en)
    font(:lang=eo)
    font(:lang=es)
    font(:lang=et)
    font(:lang=eu)
    font(:lang=fi)
    font(:lang=fil)
    font(:lang=fj)
    font(:lang=fo)
    font(:lang=fr)
    font(:lang=fur)
    font(:lang=fy)
    font(:lang=gd)
    font(:lang=gl)
    font(:lang=gv)
    font(:lang=ho)
    font(:lang=hr)
    font(:lang=hsb)
    font(:lang=ht)
    font(:lang=hu)
    font(:lang=ia)
    font(:lang=id)
    font(:lang=ie)
    font(:lang=ik)
    font(:lang=io)
    font(:lang=is)
    font(:lang=it)
    font(:lang=ja)
    font(:lang=jv)
    font(:lang=kaa)
    font(:lang=ki)
    font(:lang=kj)
    font(:lang=kk)
    font(:lang=kl)
    font(:lang=ku-tr)
    font(:lang=kum)
    font(:lang=kv)
    font(:lang=kwm)
    font(:lang=ky)
    font(:lang=la)
    font(:lang=lb)
    font(:lang=lez)
    font(:lang=lg)
    font(:lang=li)
    font(:lang=lt)
    font(:lang=lv)
    font(:lang=mg)
    font(:lang=mh)
    font(:lang=mn-mn)
    font(:lang=ms)
    font(:lang=mt)
    font(:lang=na)
    font(:lang=nb)
    font(:lang=nds)
    font(:lang=ng)
    font(:lang=nl)
    font(:lang=nn)
    font(:lang=no)
    font(:lang=nr)
    font(:lang=nso)
    font(:lang=ny)
    font(:lang=oc)
    font(:lang=om)
    font(:lang=os)
    font(:lang=pap-an)
    font(:lang=pap-aw)
    font(:lang=pl)
    font(:lang=pt)
    font(:lang=rm)
    font(:lang=rn)
    font(:lang=ru)
    font(:lang=rw)
    font(:lang=sah)
    font(:lang=sc)
    font(:lang=se)
    font(:lang=sel)
    font(:lang=sg)
    font(:lang=sh)
    font(:lang=sk)
    font(:lang=sl)
    font(:lang=sma)
    font(:lang=smj)
    font(:lang=smn)
    font(:lang=sn)
    font(:lang=so)
    font(:lang=sq)
    font(:lang=sr)
    font(:lang=ss)
    font(:lang=st)
    font(:lang=su)
    font(:lang=sv)
    font(:lang=sw)
    font(:lang=tg)
    font(:lang=tk)
    font(:lang=tl)
    font(:lang=tn)
    font(:lang=tr)
    font(:lang=ts)
    font(:lang=tt)
    font(:lang=tyv)
    font(:lang=uk)
    font(:lang=uz)
    font(:lang=vo)
    font(:lang=vot)
    font(:lang=wa)
    font(:lang=wen)
    font(:lang=wo)
    font(:lang=xh)
    font(:lang=yap)
    font(:lang=za)
    font(:lang=zu)
    font(umepmincho)
    font(umepminchos3)
    font(梅p明朝)
    font(梅p明朝s3)
    horai-ume-pmincho-fonts

horai-ume-gothic-fonts:
    config(horai-ume-gothic-fonts)
    font(:lang=aa)
    font(:lang=ab)
    font(:lang=af)
    font(:lang=an)
    font(:lang=av)
    font(:lang=ay)
    font(:lang=ba)
    font(:lang=be)
    font(:lang=bg)
    font(:lang=bi)
    font(:lang=br)
    font(:lang=bs)
    font(:lang=bua)
    font(:lang=ca)
    font(:lang=ce)
    font(:lang=ch)
    font(:lang=chm)
    font(:lang=co)
    font(:lang=crh)
    font(:lang=cs)
    font(:lang=csb)
    font(:lang=cv)
    font(:lang=cy)
    font(:lang=da)
    font(:lang=de)
    font(:lang=el)
    font(:lang=en)
    font(:lang=eo)
    font(:lang=es)
    font(:lang=et)
    font(:lang=eu)
    font(:lang=fi)
    font(:lang=fil)
    font(:lang=fj)
    font(:lang=fo)
    font(:lang=fr)
    font(:lang=fur)
    font(:lang=fy)
    font(:lang=gd)
    font(:lang=gl)
    font(:lang=gv)
    font(:lang=ho)
    font(:lang=hr)
    font(:lang=hsb)
    font(:lang=ht)
    font(:lang=hu)
    font(:lang=ia)
    font(:lang=id)
    font(:lang=ie)
    font(:lang=ik)
    font(:lang=io)
    font(:lang=is)
    font(:lang=it)
    font(:lang=ja)
    font(:lang=jv)
    font(:lang=kaa)
    font(:lang=ki)
    font(:lang=kj)
    font(:lang=kk)
    font(:lang=kl)
    font(:lang=ku-tr)
    font(:lang=kum)
    font(:lang=kv)
    font(:lang=kwm)
    font(:lang=ky)
    font(:lang=la)
    font(:lang=lb)
    font(:lang=lez)
    font(:lang=lg)
    font(:lang=li)
    font(:lang=lt)
    font(:lang=lv)
    font(:lang=mg)
    font(:lang=mh)
    font(:lang=mn-mn)
    font(:lang=ms)
    font(:lang=mt)
    font(:lang=na)
    font(:lang=nb)
    font(:lang=nds)
    font(:lang=ng)
    font(:lang=nl)
    font(:lang=nn)
    font(:lang=no)
    font(:lang=nr)
    font(:lang=nso)
    font(:lang=ny)
    font(:lang=oc)
    font(:lang=om)
    font(:lang=os)
    font(:lang=pap-an)
    font(:lang=pap-aw)
    font(:lang=pl)
    font(:lang=pt)
    font(:lang=rm)
    font(:lang=rn)
    font(:lang=ru)
    font(:lang=rw)
    font(:lang=sah)
    font(:lang=sc)
    font(:lang=se)
    font(:lang=sel)
    font(:lang=sg)
    font(:lang=sh)
    font(:lang=sk)
    font(:lang=sl)
    font(:lang=sma)
    font(:lang=smj)
    font(:lang=smn)
    font(:lang=sn)
    font(:lang=so)
    font(:lang=sq)
    font(:lang=sr)
    font(:lang=ss)
    font(:lang=st)
    font(:lang=su)
    font(:lang=sv)
    font(:lang=sw)
    font(:lang=tg)
    font(:lang=tk)
    font(:lang=tl)
    font(:lang=tn)
    font(:lang=tr)
    font(:lang=ts)
    font(:lang=tt)
    font(:lang=tyv)
    font(:lang=uk)
    font(:lang=uz)
    font(:lang=vo)
    font(:lang=vot)
    font(:lang=wa)
    font(:lang=wen)
    font(:lang=wo)
    font(:lang=xh)
    font(:lang=yap)
    font(:lang=za)
    font(:lang=zu)
    font(umegothic)
    font(umegothicc4)
    font(umegothicc5)
    font(umegothico5)
    font(umegothics4)
    font(umegothics5)
    font(梅ゴシック)
    font(梅ゴシックc4)
    font(梅ゴシックc5)
    font(梅ゴシックo5)
    font(梅ゴシックs4)
    font(梅ゴシックs5)
    horai-ume-gothic-fonts

horai-ume-pgothic-fonts:
    config(horai-ume-pgothic-fonts)
    font(:lang=aa)
    font(:lang=ab)
    font(:lang=af)
    font(:lang=an)
    font(:lang=av)
    font(:lang=ay)
    font(:lang=ba)
    font(:lang=be)
    font(:lang=bg)
    font(:lang=bi)
    font(:lang=br)
    font(:lang=bs)
    font(:lang=bua)
    font(:lang=ca)
    font(:lang=ce)
    font(:lang=ch)
    font(:lang=chm)
    font(:lang=co)
    font(:lang=crh)
    font(:lang=cs)
    font(:lang=csb)
    font(:lang=cv)
    font(:lang=cy)
    font(:lang=da)
    font(:lang=de)
    font(:lang=el)
    font(:lang=en)
    font(:lang=eo)
    font(:lang=es)
    font(:lang=et)
    font(:lang=eu)
    font(:lang=fi)
    font(:lang=fil)
    font(:lang=fj)
    font(:lang=fo)
    font(:lang=fr)
    font(:lang=fur)
    font(:lang=fy)
    font(:lang=gd)
    font(:lang=gl)
    font(:lang=gv)
    font(:lang=ho)
    font(:lang=hr)
    font(:lang=hsb)
    font(:lang=ht)
    font(:lang=hu)
    font(:lang=ia)
    font(:lang=id)
    font(:lang=ie)
    font(:lang=ik)
    font(:lang=io)
    font(:lang=is)
    font(:lang=it)
    font(:lang=ja)
    font(:lang=jv)
    font(:lang=kaa)
    font(:lang=ki)
    font(:lang=kj)
    font(:lang=kk)
    font(:lang=kl)
    font(:lang=ku-tr)
    font(:lang=kum)
    font(:lang=kv)
    font(:lang=kwm)
    font(:lang=ky)
    font(:lang=la)
    font(:lang=lb)
    font(:lang=lez)
    font(:lang=lg)
    font(:lang=li)
    font(:lang=lt)
    font(:lang=lv)
    font(:lang=mg)
    font(:lang=mh)
    font(:lang=mn-mn)
    font(:lang=ms)
    font(:lang=mt)
    font(:lang=na)
    font(:lang=nb)
    font(:lang=nds)
    font(:lang=ng)
    font(:lang=nl)
    font(:lang=nn)
    font(:lang=no)
    font(:lang=nr)
    font(:lang=nso)
    font(:lang=ny)
    font(:lang=oc)
    font(:lang=om)
    font(:lang=os)
    font(:lang=pap-an)
    font(:lang=pap-aw)
    font(:lang=pl)
    font(:lang=pt)
    font(:lang=rm)
    font(:lang=rn)
    font(:lang=ru)
    font(:lang=rw)
    font(:lang=sah)
    font(:lang=sc)
    font(:lang=se)
    font(:lang=sel)
    font(:lang=sg)
    font(:lang=sh)
    font(:lang=sk)
    font(:lang=sl)
    font(:lang=sma)
    font(:lang=smj)
    font(:lang=smn)
    font(:lang=sn)
    font(:lang=so)
    font(:lang=sq)
    font(:lang=sr)
    font(:lang=ss)
    font(:lang=st)
    font(:lang=su)
    font(:lang=sv)
    font(:lang=sw)
    font(:lang=tg)
    font(:lang=tk)
    font(:lang=tl)
    font(:lang=tn)
    font(:lang=tr)
    font(:lang=ts)
    font(:lang=tt)
    font(:lang=tyv)
    font(:lang=uk)
    font(:lang=uz)
    font(:lang=vo)
    font(:lang=vot)
    font(:lang=wa)
    font(:lang=wen)
    font(:lang=wo)
    font(:lang=xh)
    font(:lang=yap)
    font(:lang=za)
    font(:lang=zu)
    font(umepgothic)
    font(umepgothicc4)
    font(umepgothicc5)
    font(umepgothico5)
    font(umepgothics4)
    font(umepgothics5)
    font(梅pゴシック)
    font(梅pゴシックc4)
    font(梅pゴシックc5)
    font(梅pゴシックo5)
    font(梅pゴシックs4)
    font(梅pゴシックs5)
    horai-ume-pgothic-fonts

horai-ume-fonts-common:
    horai-ume-fonts-common



Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/usr/bin/fedora-review -m fedora-rawhide-i386 -x CheckOwnDirs -b 1301144 -o  -n
Buildroot used: fedora-rawhide-i386
Active plugins: Generic, fonts, Shell-api
Disabled plugins: Java, C/C++, Python, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6


Package is APPROVED. Please update, fix source URL, and consider killing -common.
Comment 4 Zbigniew Jędrzejewski-Szmek 2016-04-05 09:58:51 EDT
One more comment: Summary could be better (after all, nobody cares if it's "free", they already know that since they're getting the package from Fedora). Maybe, something like "Summary: Gothic and Mincho designed for easy on-screen legibility" ?
Comment 5 Karel Volný 2016-04-25 08:26:04 EDT
(In reply to Zbigniew Jędrzejewski-Szmek from comment #3)
> There's no need to create horai-ume-fonts-common package just to contain the
> license.
> You can instead add the license file to every package and add
> %global _docdir_fmt %{name}
> and the license file will be co-owned by all subpackages.

I'm not sure how to do that?

- %files for each subpackage are defined using %_font_pkg

but this doesn't accept additional argument to add the license

defining

%files -n %{fontname}-gothic-fonts
%license license.html

etc. then leads to error "second %files"
Comment 6 Zbigniew Jędrzejewski-Szmek 2016-04-25 09:49:43 EDT
%_font_pkg expands to %post, %postun, and %files at the end. So you can just add the %files entry immediately after:

%global _docdir_fmt %{name}
%_font_pkg -n gothic   -f %{fontconf}-gothic.conf   ume-tg??.ttf
%license license.html
%_font_pkg -n pgothic  -f %{fontconf}-pgothic.conf  ume-pg??.ttf
%license license.html
%_font_pkg -n uigothic -f %{fontconf}-uigothic.conf ume-ug??.ttf
%license license.html
%_font_pkg -n mincho   -f %{fontconf}-mincho.conf   ume-tm??.ttf
%license license.html
%_font_pkg -n pmincho  -f %{fontconf}-pmincho.conf  ume-pm??.ttf
%license license.html
Comment 7 Karel Volný 2016-04-25 11:34:22 EDT
ah, what a nasty trick :-) - thanks

so here's the second try:
https://kvolny.fedorapeople.org/horai-ume-fonts.spec
https://kvolny.fedorapeople.org/horai-ume-fonts-610-1.fc23.src.rpm

there's already review+ but it'd be nice if you could take a look if I haven't made some stupid mistake while getting rid of -common (see below for changes)

also, now I'm getting fontconfig warning about multiple families on installation, which puzzles me ...


$ diff horai-ume-fonts.spec~ horai-ume-fonts.spec      
3a4
> %global _docdir_fmt %{name}
20c21
< Version:        580
---
> Version:        610
22c23
< Summary:        Free Japanese Gothic/Mincho Fonts
---
> Summary:        Gothic and Mincho fonts designed for easy on-screen legibility
37,38d37
< Requires:       %{name}-common = %{version}-%{release}
< 
44,53d42
< %package common
< Summary:        Common files of %{name}
< Requires:       fontpackages-filesystem
< 
< %description common
< %common_desc
< 
< This package consists of files used by other %{name} packages.
< 
< 
62c51
< Requires:       %{name}-common = %{version}-%{release}
---
> Requires:       fontpackages-filesystem
74c63
< Requires:       %{name}-common = %{version}-%{release}
---
> Requires:       fontpackages-filesystem
90c79
< Requires:       %{name}-common = %{version}-%{release}
---
> Requires:       fontpackages-filesystem
102c91
< Requires:       %{name}-common = %{version}-%{release}
---
> Requires:       fontpackages-filesystem
114c103
< Requires:       %{name}-common = %{version}-%{release}
---
> Requires:       fontpackages-filesystem
157a147
> 
158a149,150
> %license license.html
> 
159a152,153
> %license license.html
> 
161,162c155
< %_font_pkg -n mincho   -f %{fontconf}-mincho.conf   ume-tm??.ttf
< %_font_pkg -n pmincho  -f %{fontconf}-pmincho.conf  ume-pm??.ttf
---
> %license license.html
163a157,158
> %_font_pkg -n mincho   -f %{fontconf}-mincho.conf   ume-tm??.ttf
> %license license.html
165c160
< %files common
---
> %_font_pkg -n pmincho  -f %{fontconf}-pmincho.conf  ume-pm??.ttf
169a165,170
> * Mon Apr 25 2016 Karel Volný <kvolny@redhat.com> 610-1
> - New version 610
> - Fixes as per the review request (rhbz#1301144)
>  - dropped -common subpackage, license included everywhere
>  - changed summary
>
Comment 8 Zbigniew Jędrzejewski-Szmek 2016-04-25 12:22:36 EDT
Looks all good.

I also see the warning about <family>, but I have no idea about it.
Comment 9 Karel Volný 2016-04-26 04:00:04 EDT
(In reply to Zbigniew Jędrzejewski-Szmek from comment #8)
> Looks all good.

thanks, so going on

> I also see the warning about <family>, but I have no idea about it.

ok, so I'll file a bug for it to resolve the issue later (hope I'll get back to it in shorter time than to this one ...)
Comment 10 Gwyn Ciesla 2016-04-26 09:03:32 EDT
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/horai-ume-fonts
Comment 11 Fedora Update System 2016-04-26 10:48:12 EDT
horai-ume-fonts-610-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-7973add9e1
Comment 12 Fedora Update System 2016-04-26 11:14:17 EDT
horai-ume-fonts-610-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-ab7acea163
Comment 13 Fedora Update System 2016-04-26 12:21:47 EDT
horai-ume-fonts-610-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-7973add9e1
Comment 14 Fedora Update System 2016-04-26 21:18:56 EDT
horai-ume-fonts-610-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-ab7acea163
Comment 15 Fedora Update System 2016-05-07 07:51:02 EDT
horai-ume-fonts-610-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.
Comment 16 Fedora Update System 2016-05-13 02:26:59 EDT
horai-ume-fonts-610-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.